<template>
    <v-dialog 
        v-model="dialog"
        max-width="500"
        persistent
    >
      <v-card>
        <v-card-title class="justify-center">
            Ajout de poste
        </v-card-title>
        <v-card-text>
            <v-form ref="form" class="mx-2" lazy-validation>
            <v-text-field
                v-model="posteName"
                name="name"
                :rules="posteNameRules"
                label=""
                type="text"
                required
            ></v-text-field>
            </v-form>
        </v-card-text>
        <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn @click="close" style="width:100px;">Annuler</v-btn>
            <v-btn color="primary" @click="submitForm" style="width:100px;">Valider</v-btn>
        </v-card-actions>
      </v-card>

    </v-dialog>
</template>
<script src="../js/modalAjoutPC.js"> </script>